EDIT - task #9201

Titelcache creation for nested collections - DISCUSS

08/19/2020 05:48 PM - Andreas Kohlbecker

Status: New Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 0%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.45

Severity: normal

Description

see #9182#note-6

Types

Kind Of Unit Type Status

Specimen n Holotype

Specimen B Isotype

Collection

B Institut fir Biolog

registration New specimen type designation working set

Edit collection

Code Code standard

Name

In collection

Town or location

B - Botanisc fen und Botanisches Museum Berlin

Institute

I Delete

04/17/2024

Save ® Cancel

Access. num.

1/3



https://dev.e-taxonomy.eu/redmine/issues/9182#note-6

registration New specimen type designation working set

New collection MNew institute

Code Name

Institut fir Bio

at Berlin

Save ® Cancel

Related issues:

Related to EDIT - feature request #9182: Sub-collection and Collection vs. Co... Closed
Related to EDIT - feature request #9202: Collection editor with titleCache field New
History

#1 - 08/19/2020 05:48 PM - Andreas Kohlbecker

- Related to feature request #9182: Sub-collection and Collection vs. Collection and Super-Collection added

#2 - 08/19/2020 07:22 PM - Andreas Kohlbecker
- Subject changed from Titelcache creation for nested collections to Titelcache creation for nested collections - DISCUSS

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

#3 - 08/19/2020 07:27 PM - Andreas Kohlbecker
- Related to feature request #9202: Collection editor with titleCache field added

#4 - 08/19/2020 08:47 PM - Andreas Miuller

- Target version changed from Release 5.19 to Release 5.18

#5 - 09/01/2020 01:15 PM - Andreas Kohlbecker
- Priority changed from New to Highest

#6 - 09/01/2020 02:33 PM - Wolf-Henning Kusber
- File picture692-1.png added
- File picture692-2.png added
- File picture692-3.png added

- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

Example in Test-PhycoBank

Abas vulgaris

Given A. Kohlbecker has stored his samples at two places:

"Coll. Kohlbecker in B", i.e. a subcollection in a herbarium (Sceenshot 1)
and a subcollection in an institution (Screenshot 2)

"Coll. Kohlbecker in Institut fur Biologie, Freie Universitat Berlin"
The display in the portal is expected as given quoted.
The expected display in the search list might be:

Coll. Kohlbecker B - Botanic ... (Subcollection title plus hosting herbarium, Collection Code available)

Coll. Kohlecker Institut fur Biologie Freie Universitat Berlin (a simple concatination would be the minimu needed.) No Collection Code for Uni and

institute available, because of this the whole name is needed.

Currently only the institution is displayed in the Vaadin dropdown list. (Screenshot 3)

#7 - 11/24/2020 05:27 PM - Andreas Kohlbecker
- Description updated

#8 - 11/24/2020 05:28 PM - Andreas Kohlbecker
- Description updated

#9 - 12/01/2020 03:26 PM - Andreas Kohlbecker

- Target version changed from Release 5.18 to Release 5.19

#10 - 01/27/2021 03:14 PM - Andreas Kohlbecker

- Target version changed from Release 5.19 to Release 5.21

#11 - 03/10/2021 02:55 PM - Andreas Miiller

- Target version changed from Release 5.21 to Release 5.22

#12 - 04/19/2021 04:18 PM - Andreas Kohlbecker

- Target version changed from Release 5.22 to Release 5.25

#13 - 07/09/2021 10:41 AM - Andreas Muller

- Target version changed from Release 5.25 to Release 5.45

Files
